<?xml version="1.0" encoding="UTF-8"?>
<ER_REGIS_AGENT desc_thai="ทะเบียนการเลือกตัวแทนพนักงาน"
	desc_eng="Register Agent Table" editcheck="true"
	mainhelp="ER_REGIS_AGENTHELP" referhelp="ER_REGIS_AGENTHELP"
	mainkey="REGISID" fieldsystem="*" protype="table" deleteflag="true"
	config_field="">
	<FIELD>
		<REGISID lang="A" encrypt="false" log="false" type="AutoNumber"
			table="ER_REGIS_AGENT">
			<KEY>1</KEY>
			<WIDTH>10</WIDTH>
			<DESC_ENG>ROUND NO</DESC_ENG>
			<DESC_THAI>ครั้งที่</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<READONLY>true</READONLY>
				<ALT_THAI>ครั้งที่</ALT_THAI>
				<ALT_ENG>ROUND NO</ALT_ENG>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</REGISID>
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสสำนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<READONLY>true</READONLY>
				<ALT_ENG>Company ID</ALT_ENG>
				<ALT_THAI>รหัสสำนักงาน</ALT_THAI>
			</COMPONENT>
		</COMPANYID>			
		<DESCRIPTION lang="A" encrypt="false" log="true"
			type="String">
			<WIDTH>400</WIDTH>
			<DESC_ENG>Description</DESC_ENG>
			<DESC_THAI>รายละเอียด</DESC_THAI>
			<COMPONENT type="textarea">
				<ONKEYPRESS>
					javascript:lockTextareaChar(this, 4000);
				</ONKEYPRESS>
				<ALT_THAI>รายละเอียด</ALT_THAI>
				<ALT_ENG>Description</ALT_ENG>
				<LINES>7</LINES>
				<SIZECHAR>70</SIZECHAR>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</DESCRIPTION>

		<REGIS_START_DATE lang="A" encrypt="false" log="true"
			type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Register date</DESC_ENG>
			<DESC_THAI>ช่วงวันที่สมัคร</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>

				<ONKEYUP>formatDate(this);</ONKEYUP>
				<ONBLUR>chkInputDate2(this,__regis_end_date);</ONBLUR>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONFOCUS>this.select();</ONFOCUS>




				<ALT_THAI>ช่วงวันที่สมัคร</ALT_THAI>
				<ALT_ENG>Register date</ALT_ENG>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</REGIS_START_DATE>

		<REGIS_END_DATE lang="A" encrypt="false" log="true"
			type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Register date</DESC_ENG>
			<DESC_THAI>ช่วงวันที่สมัคร</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ONKEYUP>formatDate(this);</ONKEYUP>
				<ONBLUR>chkInputDate2(__regis_start_date,this);</ONBLUR>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONFOCUS>this.select();</ONFOCUS>
				<ALT_THAI>ช่วงวันที่สมัคร</ALT_THAI>
				<ALT_ENG>Register date</ALT_ENG>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</REGIS_END_DATE>
		<VOTE_START_DATE lang="A" encrypt="false" log="true"
			type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Vote date</DESC_ENG>
			<DESC_THAI>ช่วงวันที่ โหวต</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ONKEYUP>formatDate(this);</ONKEYUP>
				<ONBLUR>chkInputDate2(this,__vote_end_date);</ONBLUR>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONFOCUS>this.select();</ONFOCUS>
				<ALT_THAI>ช่วงวันที่ โหวต</ALT_THAI>
				<ALT_ENG>Vote date</ALT_ENG>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</VOTE_START_DATE>
		<VOTE_END_DATE lang="A" encrypt="false" log="true"
			type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Vote date</DESC_ENG>
			<DESC_THAI>ช่วงวันที่ โหวต</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ONKEYUP>formatDate(this);</ONKEYUP>
				<ONBLUR>chkInputDate2(__vote_end_date,this);</ONBLUR>
				<ONKEYPRESS>chkInteger();</ONKEYPRESS>
				<ONFOCUS>this.select();</ONFOCUS>
				<ALT_THAI>ช่วงวันที่ โหวต</ALT_THAI>
				<ALT_ENG>Vote date</ALT_ENG>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</VOTE_END_DATE>
		<STATUS lang="A" encrypt="false" log="true" type="String">
			<WIDTH>2</WIDTH>
			<DESC_ENG>Status</DESC_ENG>
			<DESC_THAI>สถานะ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>70</SIZE>
				<DISABLE>false</DISABLE>
				<ALT_THAI>สถานะ</ALT_THAI>
				<ALT_ENG>Status</ALT_ENG>
			</COMPONENT>
		</STATUS>
		<SETUP_CODE lang="A" encrypt="N" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Command Id</DESC_ENG>
			<DESC_THAI>เลขที่คำสั่ง</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>เลขที่คำสั่ง</ALT_THAI>
				<ALT_ENG>Command Id</ALT_ENG>
				<ONKEYPRESS>chkCommandCode();</ONKEYPRESS>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</SETUP_CODE>




		<SETUP_DATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Setup Date</DESC_ENG>
			<DESC_THAI>วันที่แต่งตั้ง</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ONKEYPRESS>chkIntegerOfDate(this.value);</ONKEYPRESS>
				<ONKEYUP>formatDate(this);</ONKEYUP>
				<ONBLUR>chkInputDate(this);</ONBLUR>
				<ALT_ENG>Setup Date</ALT_ENG>
				<ALT_THAI>วันที่แต่งตั้ง</ALT_THAI>
			</COMPONENT>
		</SETUP_DATE>

		<SHOWRESULT lang="A" encrypt="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Show result</DESC_ENG>
			<DESC_THAI>แสดงผลโหวต</DESC_THAI>
			<COMPONENT type="radio">
				<MAXSIZE>1</MAXSIZE>
				<SIZE>1</SIZE>
				<DEFAULTVALUE>0</DEFAULTVALUE>
				<VALIDCODE>YESNO</VALIDCODE>
				<ALT_THAI>แสดงผลโหวต</ALT_THAI>
				<ALT_ENG>Show result</ALT_ENG>
			</COMPONENT>
		</SHOWRESULT>


	</FIELD>
	<RELATION>
		<ER_REGIS_AGENT_COMMITTEE mode="-1">
			<PARENT>ER_REGIS_AGENT.REGISID</PARENT>
			<CHILD>ER_REGIS_AGENT_COMMITTEE.REGISID</CHILD>
		</ER_REGIS_AGENT_COMMITTEE>
		<ER_REGIS_AGENT_EMPLOYEE mode="-1">
			<PARENT>ER_REGIS_AGENT.REGISID</PARENT>
			<CHILD>ER_REGIS_AGENT_EMPLOYEE.REGISID</CHILD>
		</ER_REGIS_AGENT_EMPLOYEE>
	</RELATION>
</ER_REGIS_AGENT>
